<?php

use Carbon\Carbon;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_settings', function (Blueprint $table) {
            $table->id();
            $table->float('interest_rate');
            $table->float('bet_fee');
            $table->float('min_recharge_amount');
            $table->float('min_withdrawal_amount');
            $table->float('level1_recharge_bonus');
            $table->float('level2_recharge_bonus');
            $table->float('level3_recharge_bonus');
            $table->float('level1_bet_commission');
            $table->float('level2_bet_commission');
            $table->float('level3_bet_commission');
            $table->float('open_bonus');
            $table->float('withdrawal_charges');
            $table->float('first_bonus');
            $table->float('after_first_bonus')->nullable()->default(NULL);
            $table->float('color_multiple');
            $table->float('red_green_with_0_5_multiple');
            $table->float('violet_with_0_5_multiple');
            $table->float('number_one_color_multiple');
            $table->float('number_two_color_multiple');
            $table->float('sign_in_bonus');
            $table->float('big_small_multiple');
            $table->timestamp('created_at')->default(Carbon::now());
            $table->timestamp('updated_at')->default(Carbon::now());
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
